Subject: bug#40411: [bug#41863] [PATCH] services: Fix gdm-autologin pam service.

From: Marius Bakke <[email-masked]>
Date: Fri, 02 Oct 2020 19:54:28 +0200

Alex Griffin via Guix-patches via <[email-masked]> writes:

> This patch fixes GDM's auto-login feature.
>
> See the discussions in #35674 and #40411. It works for me, but I don't want to just commit it because I don't really understand PAM. (Then again, who does?)

[...]

> @@ -925,7 +926,7 @@ the GNOME desktop environment.")
>      (inherit (unix-pam-service "gdm-autologin"
>                                 #:login-uid? #t))
>      (auth (list (pam-entry
> -                 (control "[success=ok default=1]")
> +                 (control "optional")

This is one of the alternatives Timothy proposed in #35674 back in May
last year(!).  As long as GDM still rejects wrong or blank passwords, I
think it is good to go.

It would be good to get it in 1.2.0.  :-)